!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="en">
    <head>
        <title>Programming Basics</title>
	<meta charset="utf-8" />
    </head>
    <body>
        <img src="https://news.efinancialcareers.com/wp-content/uploads/ThinkstockPhotos-485745248.jpg" alt="programming logo" width="400" height="200" />
        <h1>Programming Basics</h1>
        <ul>
            <li>Programming Overview</li>
            <li>Variable Declaration</li>
            <li>Variable Assignment</li>
            <li>Data Type</li>
            <li>Conditionals</li>
            <li>Loops</li>
            <li>Function</li>
        </ul>
        <p>Computer programming is a process that leads from an original formulation of a computing problem to executable computer programs. There many wildly-used languages today including C++. Java, JavaScript, C# and etc. Although these languages are different they all share basic components that are described below.</p>
        <ul>
            <li><p><a target="_blank" href="https://en.wikipedia.org/wiki/Variable_(computer_science)">Variable Declaration</a> - Variables are containers for storing data values - imagine a cup you fill with a coffee, the cup holds the coffee, a variable holds a value. All variables must be identified with unique names. These unique names are called identifiers.</p></li>
             <li><p><a target="_blank" href="https://en.wikipedia.org/wiki/Variable_(computer_science)">Variable Assignment</a> - Assignment operators assign values to variables - our coffee now can have coffee poured in it, giving our variable a value to hold. The = assignment operator assigns a value to the variable.</p></li>
             <li><p><a target="_blank" href="https://en.wikipedia.org/wiki/Data_type">Data Types</a>Data types are an important concept; to be able to operate with variable you need to know the data type. There are several datatypes in programming depending the language: boolean - (true or false), null (aka nothing), number - (42, 1, 3...), string -(words), char - (characters), array- [1, 2, 3], and bbjects - {first_name: 'Mikayel', last_name: 'Ghaziyan'}.<p></li>
    	     <li><p><a target="_blank" href="https://en.wikipedia.org/wiki/Conditional_(computer_programming)">Conditionals</a> - When you are writing code, you want to perform different actions for different desicisions - hitting different code blocks based on values or conditions that have been met. You can use conditional statements in you code to accomplish this. There are the following conditional statements: if - (a specified condition is true), else - (if the first condition is false then this is true).</p></li>
            <li><p><a target="_blank" href="https://en.wikipedia.org/wiki/LOOP_(programming_language)">Loops</a> - There are different kinds of loops in every programming language, but they all essentially do the same thing: they will repeat an action some number of times. Imagine you have to run a mile, well you run around the track four times and then you stop. That`s a loop.</p></li>
            <li><p><a target="_blank" href="https://en.wikipedia.org/wiki/Functional_programming">Functions</a> - Fuctions are encapsulation of a code block. When we call our function this will call our code block. Think of it as a list of instructions. As an example imagine we are putting a front desk from a store, we open up an instruction manual and get started. First we screw the legs to the table top; next we plac the table the right way up. We finished our instructions. Sadly there are a tone more tables. To do so lets call our function over and over again.</p></li>
        </ul>
        <p>For more useful information check out this url: <a target="_blank" href="http://www.programmingbasics.org/en/">Programming Basics</a></p>
    </body>
</html>

